/// <reference types="@coral-xyz/anchor/node_modules/@solana/web3.js" />
import { Connection, PublicKey, Keypair } from "@solana/web3.js";
import { BN } from "@coral-xyz/anchor";
export type TransferSolsParams = {
    from: Keypair;
    to: PublicKey;
    sols: number;
};
export declare const solToLamports: (amountSol: number) => BN;
export declare const lamportsToSol: (lamports: BN) => number;
export declare function tokenBalanceToNumber(bn: BN, decimals: number): number;
export declare function withDecimalPoint(bn: BN, decimals: number): string;
export declare const transferSols: ({ connection, params, }: {
    connection: Connection;
    params: TransferSolsParams;
}) => Promise<string>;
